
package de.ivu.elect.presentation.stimmeingabe.menu;

import javax.inject.Inject;

import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractImportMenuItemEntry;
import de.ivu.elect.presentation.stimmeingabe.exchange.StimmeingabeImportDescription;

public class StimmeingabeImportMenuItemEntry extends AbstractImportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient StimmeingabeImportDescription importDescription;

  public StimmeingabeImportMenuItemEntry() {
    super();
  }

  @Override
  protected ImportDescription getImportDescription() {
    return importDescription;
  }

  @Override
  public String getLabelKey() {
    return "stimmeingabe.importieren.menu.item.label";
  }
}
